<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper
        PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
        "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.hdkj.lt.bf.mapper.FhzgLimitTransferSchemeSwitchingLoopCheckMapper">

    <resultMap id="BaseResultMap" type="com.hdkj.lt.core.bizms.modle.po.voltageLimitViolation.FhzgLimitTransferSchemeSwitchingLoopCheck">
            <id property="id" column="id" jdbcType="BIGINT"/>
            <result property="switchingId" column="switching_id" jdbcType="BIGINT"/>
            <result property="lineId" column="line_id" jdbcType="VARCHAR"/>
            <result property="lineName" column="line_name" jdbcType="VARCHAR"/>
            <result property="oppositeLineId" column="opposite_line_id" jdbcType="VARCHAR"/>
            <result property="oppositeLineName" column="opposite_line_name" jdbcType="VARCHAR"/>
            <result property="phaseAngleDiff" column="phase_angle_diff" jdbcType="VARCHAR"/>
            <result property="phaseAngleDiffThreshold" column="phase_angle_diff_threshold" jdbcType="VARCHAR"/>
            <result property="phaseAngleDiffCheck" column="phase_angle_diff_check" jdbcType="VARCHAR"/>
            <result property="lineVoltage" column="line_voltage" jdbcType="VARCHAR"/>
            <result property="oppositeLineVoltage" column="opposite_line_voltage" jdbcType="VARCHAR"/>
            <result property="lineVoltageDiff" column="line_voltage_diff" jdbcType="VARCHAR"/>
            <result property="lineVoltageDiffThreshold" column="line_voltage_diff_threshold" jdbcType="VARCHAR"/>
            <result property="lineVoltageDiffCheck" column="line_voltage_diff_check" jdbcType="VARCHAR"/>
            <result property="loopCurrent" column="loop_current" jdbcType="VARCHAR"/>
            <result property="loopCurrentThreshold" column="loop_current_threshold" jdbcType="VARCHAR"/>
            <result property="loopCurrentCheck" column="loop_current_check" jdbcType="VARCHAR"/>
            <result property="switchCurrentCheck" column="switch_current_check" jdbcType="VARCHAR"/>
            <result property="segmentCurrentCheck" column="segment_current_check" jdbcType="VARCHAR"/>
            <result property="creator" column="creator" jdbcType="BIGINT"/>
            <result property="createTime" column="create_time" jdbcType="TIMESTAMP"/>
            <result property="lastEditor" column="last_editor" jdbcType="BIGINT"/>
            <result property="lastTime" column="last_time" jdbcType="TIMESTAMP"/>
            <result property="afdrateCurrent" column="afdrate_current" jdbcType="VARCHAR"/>
            <result property="afdCurLoop" column="afd_cur_loop" jdbcType="VARCHAR"/>
            <result property="rateCurrent" column="rate_current" jdbcType="VARCHAR"/>
            <result property="bfdCurLoop" column="bfd_cur_loop" jdbcType="VARCHAR"/>
    </resultMap>

    <sql id="Base_Column_List">
        id,switching_id,line_id,
        line_name,opposite_line_id,opposite_line_name,
        phase_angle_diff,phase_angle_diff_threshold,phase_angle_diff_check,
        line_voltage,opposite_line_voltage,line_voltage_diff,
        line_voltage_diff_threshold,line_voltage_diff_check,loop_current,
        loop_current_threshold,loop_current_check,switch_current_check,
        segment_current_check,creator,create_time,
        last_editor,last_time,afdrate_current,
        afd_cur_loop,rate_current,bfd_cur_loop
    </sql>
</mapper>
